VkSpecializationInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkSpecializationInfo:
[legend]

## Data Fields

uint32_t | mapEntryCount
const VkSpecializationMapEntry * | pMapEntries
size_t | dataSize
const void * | pData

## Detailed Description

Definition at line 1925 of file vulkan.h.

## Field Documentation

## dataSize

size_t VkSpecializationInfo::dataSize

Definition at line 1928 of file vulkan.h.

## mapEntryCount

uint32_t VkSpecializationInfo::mapEntryCount

Definition at line 1926 of file vulkan.h.

## pData

const void* VkSpecializationInfo::pData

Definition at line 1929 of file vulkan.h.

## pMapEntries

const VkSpecializationMapEntry* VkSpecializationInfo::pMapEntries

Definition at line 1927 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h